# Generated by Django 3.2.14 on 2022-07-15 06:36

import django.contrib.postgres.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0076_auto_20211206_0428'),
    ]

    operations = [
        migrations.AlterField(
            model_name='deviceinfo',
            name='config_meta_data',
            field=models.JSONField(default=dict),
        ),
        migrations.AlterField(
            model_name='deviceinfo',
            name='configuration',
            field=models.JSONField(default=dict),
        ),
        migrations.AlterField(
            model_name='deviceinfo',
            name='monitoring_data',
            field=models.JSONField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='deviceinfo',
            name='monitoring_meta_data',
            field=models.JSONField(default=dict),
        ),
        migrations.AlterField(
            model_name='devicemanufacturerdata',
            name='data',
            field=models.JSONField(),
        ),
        migrations.AlterField(
            model_name='devicetypes',
            name='data',
            field=models.JSONField(),
        ),
        migrations.AlterField(
            model_name='msagentproviderassociation',
            name='user',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), blank=True, default=list, null=True, size=None),
        ),
        migrations.AlterField(
            model_name='providerintegration',
            name='authentication_info',
            field=models.JSONField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='providerintegration',
            name='other_config',
            field=models.JSONField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='smartnetreceivingsetting',
            name='purchase_order_open_statuses',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(), default=list, size=None),
        ),
        migrations.AlterField(
            model_name='subscriptiondata',
            name='data',
            field=models.JSONField(default=dict),
        ),
    ]
